## univention-samba4 11.2.1

=== Makefile ===
#
# PAM Univention Samba Domain
#  Makefile for the pam_univentionsambadomain module
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

TITLE=pam_univentionsambadomain
#

DYNAMIC_LIBPAM=yes
MKDIR=mkdir -p
CFLAGS=-O2 -D_GNU_SOURCE -D_REENTRANT -DLINUX_PAM  -Wall -fPIC -Dlinux
DYNAMIC=-DPAM_DYNAMIC
CPPFLAGS=
TARGET_ARCH=-Di386
LD_D=gcc -shared -Wl,-x
INSTALL=install
LINKLIBS=
DESTDIR=
SECUREDIR=/lib/security
SHLIBMODE=0644

LIBSRC = $(TITLE).c
LIBOBJ = $(TITLE).o
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

LIBSHARED = $(TITLE).so

####################### don't edit below #######################

all: dirs $(LIBSHARED)

dirs:
	$(MKDIR) ./dynamic


$(LIBOBJD): $(LIBSRC)

$(LIBSHARED):	$(LIBOBJD)
		$(LD_D) -o $@ $(LIBOBJD) $(LINKLIBS) -lpam -luniventionconfig

install: all
	$(MKDIR) $(DESTDIR)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(DESTDIR)$(SECUREDIR)

remove:
	rm -f $(DESTDIR)$(SECUREDIR)/$(TITLE).so

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) core *~ ${LIBSHARED}
	rm -rf ./dynamic


extraclean: clean
	rm -f *.a *.o *.so *.bak

.c.o:
	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
univention-samba4 (11.2.1) unstable; urgency=medium

  * Bug #53882: Create "Pre-Windows 2000 Compatible Access", "Windows
    Authorization Access Group" and "IIS_IUSRS" in UDM via joinscript

 -- Arvid Requate <requate@univention.de>  Fri, 18 Jul 2025 15:19:56 +0200

univention-samba4 (11.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Samba4
#  rules file
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

override_dh_fixperms-arch:
	dh_fixperms
	chmod 755 debian/univention-samba4/usr/lib/univention-install/96univention-samba4.inst
	chmod 755 debian/univention-samba4/usr/lib/univention-install/98univention-samba4-dns.inst
	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba-shares.py
	chmod 755 debian/univention-samba4/usr/lib/univention-directory-listener/system/samba4-idmap.py
	chmod 755 debian/univention-samba4/usr/share/univention-samba4/scripts/purge_s4_computer.py

override_dh_fixperms-indep:
	dh_fixperms
	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-sync.sh
	chmod 755 debian/univention-samba4-sysvol-sync/usr/share/univention-samba4/scripts/sysvol-cleanup.py

override_dh_installinit:
	dh_installinit -a --no-start -u"defaults 97"

%:
	dh $@ --with univention-l10n,ucr

## univention-samba4 11.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2011-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only

=== debian/changelog ===
univention-samba4 (11.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:04 +0100

univention-samba4 (11.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:23 +0200

=== debian/control ===
Source: univention-samba4
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.5.5
Build-Depends:
 debhelper-compat (=13),
 libpam0g-dev,
 libunivention-config-dev (>= 15.0.3),
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),

Package: univention-samba4
Architecture: any
Conflicts:
 samba (<<2:4.7.3+dfsg-1),
 univention-samba,
Depends:
 acl,
 ldb-tools,
 libunivention-ldb-modules,
 pwgen,
 python3-lmdb,
 python3-univention,
 python3-univention-heimdal,
 python3-univention-lib (>= 9.0.11-9),
 samba-ad-dc,
 shell-univention-lib (>= 9.0.11-9),
 univention-config (>= 15),
 univention-directory-manager-tools (>= 13.0.21-21),
 univention-join (>= 12.0.5-6),
 univention-samba-local-config,
 univention-samba4-sysvol-sync (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 univention-monitoring-samba,
 univention-nagios-samba,
Description: UCS - Samba4 integration package
 This package contains the scripts and patches
 for integration of Samba4 into Univention Corporate Server (UCS)
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-samba4-sysvol-sync
Architecture: all
Depends:
 rsync (>=3.0.7-2),
 shell-univention-lib,
 univention-config,
 util-linux,
 ${misc:Depends},
Breaks:
 univention-samba4 ( << 1.0.139-2),
Description: UCS - Samba4 sysvol synchronization
 This package contains the scripts and configuration
 for integration the Samba4 sysvol synchronisation into
 Univention Corporate Server (UCS)
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #
 # Univention Samba4
 #  rules file
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2004-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only

## univention-samba4 11.4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # PAM Univention Samba Domain
 #  Makefile for the pam_univentionsambadomain module
 #
-# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2011-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 TITLE=pam_univentionsambadomain

=== debian/changelog ===
univention-samba4 (11.4.1) unstable; urgency=medium

  * Bug #58784: Fix "cannot create /var/lock/sysvol-sync-dir: Permission denied"

 -- Arvid Requate <requate@univention.de>  Fri, 30 Jan 2026 16:57:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Samba4
 #  rules file
 #
-# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
+# SPDX-FileCopyrightText: 2004-2026 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 override_dh_fixperms-arch:
